Subject: Re: [Simple] Internal WG Review: Recharter of SIP for Instant Messaging and Presence Leveraging Extensions (simple)

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 26 Feb 2007 15:37:02 -0500

THey would have to fomally be done in SIP, but I think it makes sense to 
cultivate them in SIMPLE. Sort of like RFC 4662 worked.

-Jonathan R.

Avshalom Houri wrote:

> 
> Regarding:
> 
> Mar 2007 Submission of a performance and scalability analysis of the
> SIMPLE presence mechanisms to the IESG for publication as Informational
> 
> Assuming that we will find things that need to be improved in e.g. 3265
> what will be the mechanism for the improvements? Via SIP WG?
> 
> --Avshalom
> 
> 
> 
> *IESG Secretary <[email-masked]>*
> 
> 30/01/2007 23:33
> 
> 	
> To
> 	[email-masked], [email-masked], [email-masked], Robert Sparks 
> <[email-masked]>, Hisham Khartabil <[email-masked]>
> cc
> 	
> Subject
> 	[Simple] Internal WG Review: Recharter of SIP for Instant Messaging and 
> Presence Leveraging Extensions (simple)
> 
> 
> 	
> 
> 
> 
> 
> 
> A new charter for the SIP for Instant Messaging and Presence Leveraging
> Extensions (simple) working group in the Real-time Applications and
> Infrastructure Area of the IETF is being considered. The draft charter
> is provided below for your review and comment.
> 
> Review time is one week.
> 
> The IETF Secretariat
> 
> +++
> 
> SIP for Instant Messaging and Presence Leveraging Extensions (simple)
> ======================================================================
> 
> Last Modified: 2007-1-24
> 
> Current Status: Active Working Group
> 
> Chair(s):
> Robert Sparks <[email-masked]>
> Hisham Khartabil <[email-masked]>
> 
> 
> Real-time Applications and Infrastructure Area Director(s):
> Jon Peterson <[email-masked]>
> Cullen Jennings <[email-masked]>
> 
> Real-time Applications and Infrastructure Area Advisor:
> Jon Peterson <[email-masked]>
> 
> Technical Advisor(s):
> Jon Peterson <[email-masked]>
> 
> Mailing Lists:
> General Discussion: [email-masked]
> To Subscribe: [email-masked]
> In Body: subscribe
> Archive: http://www.ietf.org/mail-archive/web/simple/index.html
> 
> Description of Working Group:
> 
> This working group focuses on the application of the Session Initiation
> Protocol (SIP, RFC 3261) to the suite of services collectively known as
> instant messaging and presence (IMP). The IETF has committed to
> producing an interoperable standard for these services compliant to
> the requirements for IM outlined in RFC 2779 (including the security
> and privacy requirements there) and in the Common Presence and Instant
> Messaging (CPIM) specification, developed within the IMPP working
> group. As the most common services for which SIP is used share quite a
> bit in common with IMP, the adaptation of SIP to IMP seems a natural
> choice given the widespread support for (and relative maturity of) the
> SIP standard.
> 
> This group has completed the majority of its primary goals and will
> focus on the remaining tasks documented here and concluding. Any
> proposed new work should be socialized with the chairs and AD early to
> determine if this WG is an appropriate venue.
> 
> The primary remaining work of this group will be to complete:
> 
> 1. The MSRP proposed standard mechanism for transporting sessions of
> messages initiated using the SIP, compliant to the requirments of RFC
> 2779, CPIM and BCP 41.
> 
> 2. The XCAP framework for representing and carrying configuration and
> policy information in SIMPLE systems.
> 
> 3. A mechanism for representing partial changes (patches) to XML
> documents and extensions to the SIMPLE publication and notification
> mechanisms to convey these partial changes.
> 
> 4. A mechanism for initiating and managing Instant Message group chat.
> 
> 5. An annotated overview of the SIMPLE protocol definition documents.
> 
> Any SIP extensions proposed in the course of this development will,
> after a last call process, be transferred to the SIP WG for
> consideration as formal SIP extensions.
> 
> Any mechanisms created for managing Instant Message group chat are
> intended to provide a bridge to the conferencing protocols that will
> be defined in XCON. They will be limited in scope to address only
> simple Instant Message chat with nicknames and will not attempt
> to address complex conferencing concepts such as sidebars. Their
> design must anticipate operating in conjunction with the conferencing
> protocols XCON is working towards.
> 
> The working group will work within the framework for presence and IM
> described in RFC 2778. The extensions it defines must also be
> compliant with the SIP processes for extensions. The group cannot
> modify baseline SIP behavior or define a new version of SIP for IM and
> presence. If the group determines that any capabilities requiring an
> extension to SIP are needed, the group will seek to define such
> extensions within the SIP working group, and then use them here.
> 
> Goals and Milestones:
> Done Submission of event package for presence to IESG for publication as 
> Proposed Standard
> Done Submission of watcher information drafts to IESG for publication as 
> Proposed Standards
> Done Submission of proposed event list mechanism to the SIP working group
> Done Submission of requirements for event publishing to the IESG for
> publication as Proposed Standard
> Done Submission of proposed mechanism for event publishing to the SIP
> working group
> Done Submission of SIMPLE PIDF profile to IESG for publication as 
> Proposed Standard
> Done Submission of base XCAP draft to IESG for publication as Proposed
> Standard
> Done Submission of indication of instant message preparation using SIP 
> to IESG for publication as a Proposed Standard
> Done Submission of XCAP usage for manipulation of presence document
> content
> Done Submission of XCAP usage for setting presence authorization to IESG 
> for publication as Proposed Standard
> Done Submission of Filtering mechanisms to IESG for publication as a
> Proposed Standard
> Done Submission of instant messaging session draft to IESG for 
> publication as a Proposed Standard
> Done Submission of instant messaging session relay drafts to IESG for
> publication as Proposed Standards
> Done Submission of Partial Notification mechanism to IESG for 
> publication as a Proposed Standard
> Feb 2007 Submission of an Instant Message Disposition Notification
> mechanism to the IESG for publication as a Proposed Standard
> Feb 2007 Submission of XCAP event package to IESG or appropriate working 
> group targeting publication as Proposed Standard
> Feb 2007 Submission of proposed mechanisms meeting the advanced 
> messaging requirements to the IESG or appropriate working group
> Mar 2007 Submission of a performance and scalability analysis of the
> SIMPLE presence mechanisms to the IESG for publication as Informational
> Jun 2007 Submission of SIMPLE protocol annotated overview draft to IESG
> for publication as Informational
> Aug 2007 Submission of proposed mechanisms for initiating and managing
> Instant Message group chat to the IESG for publication as Proposed
> Standard
> Aug 2007 Conclusion of SIMPLE
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple